#
# spec file for package plasma-vault
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_without lang

Name:           plasma-vault
Version:        5.12.8
Release:        lp151.1.1
%define kf5_version 5.17.0
Summary:        Plasma applet and services for creating encrypted vaults
License:        GPL-2.0+
Group:          Productivity/Security
Url:            http://www.kde.org
Source:         https://download.kde.org/stable/plasma/%{version}/plasma-vault-%{version}.tar.xz
BuildRequires:  extra-cmake-modules >= %kf5_version
BuildRequires:  libksysguard5-devel
BuildRequires:  cmake(KF5Activities) >= %kf5_version
BuildRequires:  cmake(KF5Config) >= %kf5_version
BuildRequires:  cmake(KF5ConfigWidgets) >= %kf5_version
BuildRequires:  cmake(KF5CoreAddons) >= %kf5_version
BuildRequires:  cmake(KF5DBusAddons) >= %kf5_version
BuildRequires:  cmake(KF5I18n) >= %kf5_version
BuildRequires:  cmake(KF5KIO) >= %kf5_version
BuildRequires:  cmake(KF5Plasma) >= %kf5_version
BuildRequires:  cmake(KF5WidgetsAddons) >= %kf5_version
BuildRequires:  cmake(KF5WindowSystem) >= %kf5_version
BuildRequires:  cmake(Qt5Core) >= 5.7.1
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Quick)
BuildRequires:  cmake(Qt5Widgets)
Recommends:     %{name}-lang
Requires:       plasma-vault-backend
# We recommend encfs for now as cryfs has certain issues
Recommends:     plasma-vault-backend-encfs
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Plasma Vault is a plasmoid for creating and managing encrypted vaults

%package backend-encfs
Summary:        Necessary packages for plasma-vault to support encfs vaults
Group:          Productivity/Security
Provides:       plasma-vault-backend
Requires:       %{name} = %{version}
Requires:       encfs

%description backend-encfs
This package pulls in dependencies for the plasma-vault encfs backend.

%package backend-cryfs
Summary:        Necessary packages for plasma-vault to support cryfs vaults
Group:          Productivity/Security
Provides:       plasma-vault-backend
Requires:       %{name} = %{version}
# Previous versions could not update properly
Requires:       cryfs >= 0.9.9

%description backend-cryfs
This package pulls in dependencies for the plasma-vault cryfs backend.

%if %{with lang}
%lang_package
%endif

%prep
%setup -q

%build
%cmake_kf5 -d build
%make_jobs

%install
%make_install -C build
%if %{with lang}
  %find_lang %{name} --with-man --all-name
%endif

%files
%defattr(-,root,root)
%license COPYING*
%{_kf5_plugindir}/kf5/kded/
%dir %{_kf5_plugindir}/plasma/applets
%{_kf5_plugindir}/plasma/applets/plasma_applet_vault.so
%dir %{_kf5_plasmadir}/plasmoids
%{_kf5_plasmadir}/plasmoids/org.kde.plasma.vault
%{_kf5_servicesdir}/plasma-applet-org.kde.plasma.vault.desktop
%{_kf5_appstreamdir}/

%if %{with lang}
%files lang -f %{name}.lang
%license COPYING*
%endif

%files backend-encfs
%license COPYING*

%if 0%{?suse_version} >= 1500
%files backend-cryfs
%license COPYING*
%endif

%changelog
* Tue Mar  5 2019 fabian@ritter-vogt.de
- Update to 5.12.8
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.12.8.php
- Changes since 5.12.7:
  * Fix use of QRegularExpressionMatch
* Tue Sep 25 2018 fabian@ritter-vogt.de
- Update to 5.12.7
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.12.7.php
- No code changes since 5.12.6
* Wed Jun 27 2018 fabian@ritter-vogt.de
- Update to 5.12.6
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.12.6.php
- Changes since 5.12.5:
  * None
* Wed May  2 2018 fabian@ritter-vogt.de
- Update to 5.12.5
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.12.5.php
- Changes since 5.12.4:
  * Add missing includes to fix compilation with Qt 5.11
* Tue Mar 27 2018 fabian@ritter-vogt.de
- Update to 5.12.4
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.12.4.php
- Changes since 5.12.3:
  * None
* Tue Mar  6 2018 fabian@ritter-vogt.de
- Update to 5.12.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.12.3.php
- Changes since 5.12.2:
  * None
* Mon Mar  5 2018 fabian@ritter-vogt.de
- Add -backend-(cryfs,encfs) subpkgs to support both
- Use %%license
* Wed Feb 21 2018 lbeltrame@kde.org
- Update to 5.12.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
  * None
* Tue Feb 13 2018 fabian@ritter-vogt.de
- Update to 5.12.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.12.1.php
- Changes since 5.12.0:
  * Set icons for the Vault creation, configuration and mounting dialogues (kde#387556)
* Fri Feb  2 2018 fabian@ritter-vogt.de
- Update to 5.12.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.12.0.php
- Changes since 5.11.95:
  * Making EncFS the default
  * Detect path validity when the module is initialized
* Mon Jan 15 2018 fabian@ritter-vogt.de
- Update to 5.11.95
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.11.95.php
- Changes since 5.11.5:
  * Store the last error in the config file along with the error status
  * Disable the password dialogue while trying to open the vault
  * Added password dialogue title
  * Fix PWD dialog (kde#385985,kde#385445)
  * Better UI for the "Create a new vault" button (kde#385972)
  * Have a default backend (if one available) (kde#385971)
  * Add ellipsis to action "Create a New Vault..." opening a wizard
  * Use XDG_DATA_HOME and security fix (kde#385982)
  * Added Phabricator uri
  * Fix ActionItem Label width, minimumWidth=300, DPI scaled minimum size (kde#385794)
* Tue Jan  2 2018 fabian@ritter-vogt.de
- Update to 5.11.5
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.11.5.php
- Changes since 5.11.4:
  * None
* Thu Nov 30 2017 fabian@ritter-vogt.de
- Update to 5.11.4
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.11.4.php
- Changes since 5.11.3:
  * Enable -DQT_NO_URL_CAST_FROM_STRING and fix compilation.
* Tue Nov  7 2017 fabian@ritter-vogt.de
- Update to 5.11.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.11.3.php
- Changes since 5.11.2:
  * None
* Tue Oct 24 2017 fabian@ritter-vogt.de
- Update to 5.11.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.11.2.php
- Changes since 5.11.1:
  * None
* Tue Oct 17 2017 fabian@ritter-vogt.de
- Update to 5.11.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.11.1.php
- Changes since 5.11.0:
  * None
* Thu Oct  5 2017 fabian@ritter-vogt.de
- Update to 5.11.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.11.0.php
- Changes since 5.10.95:
  * None
* Thu Sep 14 2017 fabian@ritter-vogt.de
- Update to 5.10.95
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.10.95.php
- Changes since 5.10.5:
  * None
* Sun Jun  4 2017 fabian@ritter-vogt.de
- Update to 5.9.96
  * New bugfix release
- Changes since 5.9.95:
  * use a non-stable version number
  * 5.10.0
  * Report that the process has finished if we got an error executing it
* Thu May 11 2017 fabian@ritter-vogt.de
- Update to 5.9.95
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.9.95.php
- Changes since 5.9.5:
  * None
* Tue Feb 14 2017 fabian@ritter-vogt.de
- New package, WIP.
